Skip to main content
GET
/
v1
/
shipping
/
retailers
/
{id}
/
ship-to-locations
/
{location_id}
Get one Retailer Ship-To Location
curl --request GET \
  --url https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/ship-to-locations/{location_id} \
  --header 'Authorization: Bearer <token>'
{
  "resource": {
    "code": "DC-001",
    "type": "RetailerShipToLocation",
    "id": 7,
    "qualifier_x12": "92",
    "label": "Bentonville DC",
    "location_type": "dc",
    "company": "Walmart DC",
    "street": "<string>",
    "city": "Bentonville",
    "region_id": 6,
    "region": "AR",
    "postcode": "72712",
    "country_id": "US",
    "telephone": "+1-479-273-4000",
    "email": "dc6045@example.com",
    "is_default": true,
    "status": "active",
    "retailer": {
      "type": "Retailer",
      "id": 2
    },
    "created_at": "2026-05-26T12:34:56Z",
    "updated_at": "2026-05-26T12:34:56Z"
  }
}

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the parent Retailer.

Required range: x >= 1
location_id
integer<int32>
required

The id of the referenced RetailerShipToLocation.

Required range: x >= 1

Query Parameters

fields
enum<string>[]

Specify additional fields of the RetailerShipToLocation object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
qualifier_x12,
label,
location_type,
company,
street,
city,
region_id,
region,
postcode,
country_id,
telephone,
email,
is_default,
status,
retailer,
created_at,
updated_at
fields:retailer
enum<string>[]

Specify additional fields of the parent Retailer object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
status,
fulfillment_model,
merchant,
parent_retailer,
legal_name,
dba,
default_duties_payor,
default_shipping_method,
allowed_shipping_methods,
default_tpb_group_id,
routing_guide_notes,
custom_fields,
created_at,
updated_at

Response

OK

resource
RetailerShipToLocation · object

A RetailerShipToLocation represents an EDI N1*ST destination (distribution center, store, mark-for, drop-ship, or other) under a Retailer.